/*
 * layouteditmodeagrp.h
 * ---------------------------
 * Copyright    : (C) 2007 by Guido Scholz
 * E-Mail       : guido.scholz@bayernline.de
 * Begin        : 2007-09-12
 * Last modified: $Date: 2007-10-10 19:41:51 $
 *                $Revision: 1.4 $
 *
 * This is the header file to layouteditmodeagrp.cpp
 */

/**************************************************************************
 *                                                                        *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 **************************************************************************/


#ifndef LAYOUTEDITMODEAGRP_H
#define LAYOUTEDITMODEAGRP_H

#include <QAction>
#include <QActionGroup>
#include <QToolBar>

#include "gbsarea.h"


class LayoutEditModeAgrp: public QActionGroup
{
    Q_OBJECT
        
public:
    LayoutEditModeAgrp(QObject* parent, const char* name);

signals:
    void modeChanged(GBSArea::LayoutEditMode);

public slots:
    void modeSelected(QAction*);
    
private:
    QAction* actionSelectMode;
    QAction* actionPaintMode;
    QAction* actionEraseMode;

};

#endif //LAYOUTEDITMODEAGRP_H
